/*--------------------------------------------------------------*/
/*      Copyright (c) 2000 NEC Corporation                      */
/*      NEC CONFIDENTIAL AND PROPRIETARY                        */
/*      All rights reserved by NEC Corporation.                 */
/*      This program must be used solely for the purpose for    */
/*      which it was furnished by NEC Corporation.   No part    */
/*      of this program may be reproduced  or  disclosed  to    */
/*      others,  in  any form,  without  the  prior  written    */
/*      permission of NEC Corporation.    Use  of  copyright    */
/*      notice does not evidence publication of the program.    */
/*--------------------------------------------------------------*/
#include <basic.h>
#include <bstring.h>
#include <tstring.h>
#include <inner.h>
#include <driver/driver.h>
#include <kernel/util.h>
#include <errcode.h>
#include <bstdio.h>
#include <jcg/i_socket.h>

#define	DEFAULT_PRI	(125)

#define TP_START()      \
{                       \
        TP_ExcFlg++;    \
}

#define TP_EXIT()                       \
{                                       \
        ter_tsk(ASRV_SERVER_ID);        \
        del_tsk(ASRV_SERVER_ID);        \
        TP_ExcFlg--;                    \
        exd_tsk();                      \
}

#define MAIN_START()    \
{                       \
        TP_ExcFlg = 0;  \
}

#define MAIN_EXIT()             \
{                               \
        while (TP_ExcFlg) {     \
                dly_tsk(100);   \
        }                       \
}

WERR    CreateTask(FP, PRI);


#define	IOR_BUFSZ		(1000)
#define	IOR_SEND_PORT		(0)
#define IOR_RECV_PORT		(6000)

#define CMD_send	IOR_send
#define CMD_recv	IOR_recv

int IOR_recv(char *);
int IOR_send(char *);


#define htons TPswaps
#define ntohs TPswaps
#define htonl TPswapl
#define ntohl TPswapl

unsigned short TPswaps(unsigned short);
unsigned long TPswapl(unsigned long);


