/*--------------------------------------------------------------*/
/*      Copyright (c) 2000 NEC Corporation                      */
/*      NEC CONFIDENTIAL AND PROPRIETARY                        */
/*      All rights reserved by NEC Corporation.                 */
/*      This program must be used solely for the purpose for    */
/*      which it was furnished by NEC Corporation.   No part    */
/*      of this program may be reproduced  or  disclosed  to    */
/*      others,  in  any form,  without  the  prior  written    */
/*      permission of NEC Corporation.    Use  of  copyright    */
/*      notice does not evidence publication of the program.    */
/*--------------------------------------------------------------*/
#include "test.h"

CORBA_long
test_func(CORBA_Object obj, CORBA_long dat, CORBA_Environment *env)
{
	CORBA_char		*topp;
	CORBA_char		*bufp;
	CORBA_boolean		order;
	CORBA_long		ret;
	CORBA_unsigned_long	size;
	GIOP_CliInf		cliinf;

	ret = 0;
	GIOP_init_cli(&cliinf);

	do {
		size = 0;
		size = MRSHL_index_long(size);
		topp = GIOP_create_reqbuf(obj, &cliinf, size, CORBA_TRUE,
					  "func", env);
		if (env->_major != CORBA_NO_EXCEPTION) {
			break;
		}
		bufp = topp;
		MRSHL_put_long(&bufp, dat);
		size = bufp - topp;
		topp = GIOP_invoke_req(obj, &cliinf, size, env);
	} while (env->_flag == ENVFLG_LOCATION_FORWARD);

	bufp = topp;
	order = GIOP_cli_bordr(&cliinf);
	switch(env->_major) {
	case CORBA_NO_EXCEPTION:
		ret = MRSHL_get_long(&bufp, order);
		break;
	case CORBA_SYSTEM_EXCEPTION:
		break;
	case CORBA_USER_EXCEPTION:
		break;
	default:
		break;
	}

	GIOP_end_cli(&cliinf);
	return ret;
}
