/*--------------------------------------------------------------*/
/*      Copyright (c) 2000 NEC Corporation                      */
/*      NEC CONFIDENTIAL AND PROPRIETARY                        */
/*      All rights reserved by NEC Corporation.                 */
/*      This program must be used solely for the purpose for    */
/*      which it was furnished by NEC Corporation.   No part    */
/*      of this program may be reproduced  or  disclosed  to    */
/*      others,  in  any form,  without  the  prior  written    */
/*      permission of NEC Corporation.    Use  of  copyright    */
/*      notice does not evidence publication of the program.    */
/*--------------------------------------------------------------*/
#define CHAR_DATA_NUM		(3)
static CORBA_char char_chkdat[] = {
	12,
	0,
	-1
};

#define SHORT_DATA_NUM		(3)
static CORBA_short short_chkdat[] = {
	345,
	0,
	-1
};

#define LONG_DATA_NUM		(3)
static CORBA_long long_chkdat[] = {
	67890,
	0,
	-1
};

#define LONGLONG_DATA_NUM	(3)
static CORBA_long_long long_long_chkdat[] = {
	167890,
	0,
	-1
};

#define FLOAT_DATA_NUM		(3)
static CORBA_float float_chkdat[] = {
	12.345,
	0,
	-1
};

#define DOUBLE_DATA_NUM		(3)
static CORBA_double double_chkdat[] = {
	9.87654321,
	0,
	-1
};

#define STRING_DATA_NUM		(3)
static struct tagStringDat {
	CORBA_char	*request;
	CORBA_char	*reply;
} string_chkdat[] = {
	{"REQUEST STRING DATA1", "REPLAY STRING DATA1"},
	{"", ""},
	{"REQUEST STRING DATA1 REQUEST STRING DATA1",
	 "REPLAY STRING DATA1 REPLAY STRING DATA1"}
};

#define C_ARRAY_DATA_NUM	(3)
static struct tagCChkDat {
	CORBA_char	dat;
	CORBA_int 	size;
} carray_chkdat[] = {
	{-10, C_ARRAY_SIZE},
	{0, C_ARRAY_SIZE},
	{10, C_ARRAY_SIZE},
};

#define S_ARRAY_DATA_NUM	(3)
static struct tagSChkDat {
	CORBA_short	dat;
	CORBA_int 	size;
} sarray_chkdat[] = {
	{-10, S_ARRAY_SIZE},
	{0, S_ARRAY_SIZE},
	{10, S_ARRAY_SIZE},
};

#define L_ARRAY_DATA_NUM	(3)
static struct tagLChkDat {
	CORBA_long	dat;
	CORBA_int 	size;
} larray_chkdat[] = {
	{-10, L_ARRAY_SIZE},
	{0, L_ARRAY_SIZE},
	{10, L_ARRAY_SIZE},
};

#define LL_ARRAY_DATA_NUM	(3)
static struct tagLLChkDat {
	CORBA_long_long	dat;
	CORBA_int 	size;
} llarray_chkdat[] = {
	{-10, LL_ARRAY_SIZE},
	{0, LL_ARRAY_SIZE},
	{10, LL_ARRAY_SIZE},
};

#define F_ARRAY_DATA_NUM	(3)
static struct tagFChkDat {
	CORBA_float	dat;
	CORBA_int 	size;
} farray_chkdat[] = {
	{-10, F_ARRAY_SIZE},
	{0, F_ARRAY_SIZE},
	{10, F_ARRAY_SIZE},
};

#define D_ARRAY_DATA_NUM	(3)
static struct tagDChkDat {
	CORBA_double	dat;
	CORBA_int 	size;
} darray_chkdat[] = {
	{-10, D_ARRAY_SIZE},
	{0, D_ARRAY_SIZE},
	{10, D_ARRAY_SIZE},
};

#define STRUCT_DATA_NUM		(3)
static test_struct struct_chkdat[] = {
	{
		10,
		20,
		30,
		40,
		50.123,
		60.45678
	},
	{
		0,
		0,
		0,
		0,
		0,
		0
	},
	{
		-1,
		-1,
		-1,
		-1,
		-1,
		-1
	}
};
