/*--------------------------------------------------------------*/
/*      Copyright (c) 2000 NEC Corporation                      */
/*      NEC CONFIDENTIAL AND PROPRIETARY                        */
/*      All rights reserved by NEC Corporation.                 */
/*      This program must be used solely for the purpose for    */
/*      which it was furnished by NEC Corporation.   No part    */
/*      of this program may be reproduced  or  disclosed  to    */
/*      others,  in  any form,  without  the  prior  written    */
/*      permission of NEC Corporation.    Use  of  copyright    */
/*      notice does not evidence publication of the program.    */
/*--------------------------------------------------------------*/
#ifndef CORBA_UNIX

#include <basic.h>
#include <bstring.h>
#include <tstring.h>
#include <inner.h>
#include <driver/driver.h>
#include <kernel/util.h>
#include <errcode.h>
#include <bstdio.h>

#else	/* CORBA_UNIX */

#include <string.h>

typedef int PRI;
typedef int ID;
typedef void (*FP)();
typedef struct {
        int     dmy;
} T_CTSK;

#endif	/* CORBA_UNIX */

#include <corba.h>

CORBA_char		test_func_char(CORBA_Object, CORBA_char, CORBA_Environment *);
CORBA_long		test_func_NoOperation(CORBA_Object, CORBA_long, CORBA_Environment *);
CORBA_long		test_func_shutdown(CORBA_Object, CORBA_long, CORBA_Environment *);

void _skl_dispatch_test(PortableServer_Servant, GIOP_SrvInf *);

CORBA_char		func_char_impl(PortableServer_Servant, const CORBA_char, CORBA_Environment *);
CORBA_long		func_shutdown_impl(PortableServer_Servant, CORBA_long, CORBA_Environment *);

CORBA_long test_func_deactive(CORBA_Object, CORBA_Environment *);

typedef struct tagPOA_Test__epv {
	void	*_private;
	CORBA_char (*func_char)(PortableServer_Servant, CORBA_char, CORBA_Environment *);
	CORBA_long (*func_shutdown)(PortableServer_Servant, CORBA_long, CORBA_Environment *);
	CORBA_long (*func_deactive)(PortableServer_Servant, CORBA_Environment *);
} POA_Test__epv;

typedef struct POA_Test__vepv {
	void	*_private;
	PortableServer_ServantBase__epv	*_base_epv;
	POA_Test__epv	*Test_epv;
} POA_Test__vepv;

typedef struct tagPOA_Test {
	void	*_private;
	POA_Test__vepv	*vepv;
} POA_Test;

void POA_Test__init(POA_Test *, CORBA_Environment *);
void POA_Test__fini(POA_Test *, CORBA_Environment *);

typedef CORBA_Object Test;






