/*--------------------------------------------------------------*/
/*      Copyright (c) 2000 NEC Corporation                      */
/*      NEC CONFIDENTIAL AND PROPRIETARY                        */
/*      All rights reserved by NEC Corporation.                 */
/*      This program must be used solely for the purpose for    */
/*      which it was furnished by NEC Corporation.   No part    */
/*      of this program may be reproduced  or  disclosed  to    */
/*      others,  in  any form,  without  the  prior  written    */
/*      permission of NEC Corporation.    Use  of  copyright    */
/*      notice does not evidence publication of the program.    */
/*--------------------------------------------------------------*/
#include "config.h"
#include "tpchk.h"
#include "s2106.h"
#include "_sysdbg.h"
#include "_loging.h"

void
task(void)
{
	TP_START();

	tp_resource();		/* tpres.c */

	TP_END();
}

#ifdef	CORBA_UNIX

int
main(void)
{
	MAIN_START();	

	SYS_init_debug(0);

	task();

	MAIN_END();	
	return 0;
}

#else	/* CORBA_UNIX */

ERR
main(Bool Startup, TC *arg)
{
#if 0
	MAIN_START();	

	SYS_init_debug(0);

	TP_CreateTask(task, DEFAULT_PRI);

	MAIN_END();
#endif
	SYS_init_debug(0);
	IPA_LOG_init(0);

	chg_pri(0, DEFAULT_PRI + 1);
	tp_resource();

	return 0;
}

#endif	/* CORBA_UNIX */
