/*--------------------------------------------------------------*/
/*      Copyright (c) 2000 NEC Corporation                      */
/*      NEC CONFIDENTIAL AND PROPRIETARY                        */
/*      All rights reserved by NEC Corporation.                 */
/*      This program must be used solely for the purpose for    */
/*      which it was furnished by NEC Corporation.   No part    */
/*      of this program may be reproduced  or  disclosed  to    */
/*      others,  in  any form,  without  the  prior  written    */
/*      permission of NEC Corporation.    Use  of  copyright    */
/*      notice does not evidence publication of the program.    */
/*--------------------------------------------------------------*/
#include "test.h"
#include "config.h"

#define TASK_STKSZ      	(0x4000)
#define toERR(class,detail)     ((ERR)((class) << 16 | (UH)(detail)))
#define exit(a)			ext_tsk();exd_tsk();

WERR    CreateTask(FP entry, PRI pri)
{
        ERR     er;
        ID      tskid;
        T_CTSK  ctsk;

        ctsk.exinf   = (VP)CH4toW('-','t','s','k');
        ctsk.task    = entry;
        ctsk.itskpri = pri;
        ctsk.stksz   = TASK_STKSZ;
        ctsk.tskatr  = TA_HLNG|TA_RNG0;
        er = vcre_tsk(&ctsk);
        if (er >= E_OK) {
                tskid = (ID)er;
                er = sta_tsk(tskid, 0);
                if (er < E_OK) del_tsk(tskid);
        }
        return (er >= ER_OK) ? tskid : toERR(EC_INNER, er);
}


