/*--------------------------------------------------------------*/
/*      Copyright (c) 2000 NEC Corporation                      */
/*      NEC CONFIDENTIAL AND PROPRIETARY                        */
/*      All rights reserved by NEC Corporation.                 */
/*      This program must be used solely for the purpose for    */
/*      which it was furnished by NEC Corporation.   No part    */
/*      of this program may be reproduced  or  disclosed  to    */
/*      others,  in  any form,  without  the  prior  written    */
/*      permission of NEC Corporation.    Use  of  copyright    */
/*      notice does not evidence publication of the program.    */
/*--------------------------------------------------------------*/
#include "smpcmn.h"
#include <jcg/corba.h>

extern CORBA_boolean MRSHL_get_native_order(void);

unsigned short
TPswaps(unsigned short port)
{
	CORBA_boolean	flg;

	flg = MRSHL_get_native_order();
	if (flg == CORBA_FALSE) {
		return port;
	} else {
		return (((port >> 8) & 0xff) | ((port & 0xff) << 8));
	}
}

unsigned long
TPswapl(unsigned long ipaddr)
{
	CORBA_boolean	flg;

	flg = MRSHL_get_native_order();
	if (flg == CORBA_FALSE) {
		return ipaddr;
	} else {
		return (((ipaddr & 0xff000000) >> 24)
			| ((ipaddr & 0x00ff0000) >> 8)
			| ((ipaddr & 0x0000ff00) << 8) 
			| ((ipaddr & 0x000000ff)<< 24));
	}
}
