/*--------------------------------------------------------------*/
/*      Copyright (c) 2000 NEC Corporation                      */
/*      NEC CONFIDENTIAL AND PROPRIETARY                        */
/*      All rights reserved by NEC Corporation.                 */
/*      This program must be used solely for the purpose for    */
/*      which it was furnished by NEC Corporation.   No part    */
/*      of this program may be reproduced  or  disclosed  to    */
/*      others,  in  any form,  without  the  prior  written    */
/*      permission of NEC Corporation.    Use  of  copyright    */
/*      notice does not evidence publication of the program.    */
/*--------------------------------------------------------------*/
/*
 * IDL
 *
 * exception errexc {
 *	long code;
 * };
 *
 * interface test {
 *	void func(int long dat) raise(errexc);
 * }
 */

typedef struct {
	CORBA_long	code;
} errexc;

#define ex_errexc		"IDL:errexc:1.0"
#define ERREXC_CODE		(100)

#define	EXCEPTION_NO		(0)
#define	EXCEPTION_SYSTEM	(1)
#define	EXCEPTION_USER		(2)
#define	SHUTDOWN_CODE		(3)

#define errexc__alloc()	(errexc *)CORBA_malloc(sizeof(errexc), 1, 0);


#define IOR_RECV_PORT	(6000)

CORBA_char *Exc[] = {
	CORBA_Ex_UNKNOWN,
	CORBA_Ex_BAD_PARAM,
	CORBA_Ex_NO_MEMORY,
	CORBA_Ex_IMP_LIMIT,
	CORBA_Ex_COMM_FAILURE,
	CORBA_Ex_INV_OBJREF,
	CORBA_Ex_NO_PERMISSION,
	CORBA_Ex_INTERNAL,
	CORBA_Ex_MARSHAL,
	CORBA_Ex_INITIALIZE,
	CORBA_Ex_NO_IMPLEMENT,
	CORBA_Ex_BAD_TYPECODE,
	CORBA_Ex_BAD_OPERATION,
	CORBA_Ex_NO_RESOURCES,
	CORBA_Ex_NO_RESPONSE,
	CORBA_Ex_PERSIST_STORE,
	CORBA_Ex_BAD_INV_ORDER,
	CORBA_Ex_TRANSIENT,
	CORBA_Ex_FREE_MEM,
	CORBA_Ex_INV_IDENT,
	CORBA_Ex_INV_FLAG,
	CORBA_Ex_INTF_REPOS,
	CORBA_Ex_BAD_CONTEXT,
	CORBA_Ex_OBJ_ADAPTER,
	CORBA_Ex_DATA_CONVERSION,
	CORBA_Ex_OBJECT_NOT_EXIST,
	CORBA_Ex_TRANSACTION_REQUIRED,
	CORBA_Ex_TRANSACTION_ROLLEDBACK,
	CORBA_Ex_INVALID_TRANSACTION
};
